For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign in
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
    • Overview
    • Authentication
  • REST
Sign in
LogoLogo
On this page
  • Prerequisites
  • Enable Apps early access
  • Create an app
  • Copy your API key
  • Get your Site ID
  • Get your Workspace ID
  • Using your API key
  • Next steps

Authentication

Beta
Was this page helpful?
Previous

Overview

Next

Create Site

Built with

Create an app and get your API key to authenticate with the Makeswift REST API.

beta

To use the Makeswift REST API, you’ll need to create an app and obtain an API key. This guide walks you through the setup process.

While both API Key and Bearer Token authentication methods are supported, you must use only one authentication method per request. Requests that include both an API Key and Bearer Token will be rejected.

Prerequisites

Apps is currently an early access feature. You’ll need to enable it before you can create an app.

Enable Apps early access

  1. Open Settings in the Makeswift builder
  2. Navigate to User → Early access
  3. Toggle on Apps
Early access settings showing the Apps toggle

Create an app

Once Apps is enabled, you can create your first app:

  1. Open Settings in the Makeswift builder
  2. Navigate to Workspace → Apps
  3. Click Create app
Apps settings page
  1. Enter a Name for your app
  2. Optionally, choose an Icon and add a Description
  3. Click Continue
Create app dialog

Copy your API key

After creating your app, you’ll be shown your API key. This is the only time the key will be displayed.

Save your API key immediately. It won’t be shown again after you close the dialog. If you lose it, you’ll need to create a new app.

App API key dialog
  1. Click the Copy button or Copy and Close to copy the API key
  2. Store the key securely (e.g., in environment variables or a secrets manager)

Get your Site ID

Many API endpoints require a Site ID. To find it:

  1. Open Settings in the Makeswift builder
  2. Navigate to Site → Site
  3. Copy the Site Id value
Site settings showing Site Id

Get your Workspace ID

Some API endpoints operate at the workspace level and require a Workspace ID:

  1. Open Settings in the Makeswift builder
  2. Navigate to Workspace → Workspace
  3. Copy the Workspace Id value
Workspace settings showing Workspace Id

Using your API key

Include your API key in the x-api-key header with every request:

$curl https://api.makeswift.com/v2/sites \
> -H "x-api-key: your-api-key"

Keep your API key secure and never expose it in client-side code. Use environment variables to store your key in your application.

Next steps

Now that you have your API key, you can start making requests to the API:

  • List your sites
  • List your pages
  • Configure locales